#' Simulated (and real) methylation levels for sun exposed patient patients
#'
#' A data set containing normalized beta values, and sun exposure and simulated 
#' phenotypic data for 78 tissue samples. 
#' 
#' The variables are:
#'
#' \itemize{
#'   \item beta.value: 1496 filtered normalized beta values (methyation probabilities) 
#'   for 78 tissue samples.
#'    \item exposure: Sun exposure levels for 78 tissue samples.
#'   \item phenotype: Simulated binary phenotypic data for 78 tissue samples.
#'  \item  age: age of patients.
#'   \item gender: sex of patients.
#'   \item tissue: category for tissue samples.   
#' }
#'
#' @docType data
#' @keywords datasets
#' @details Reference: Vandiver et al (2015). 
#' Age and sun exposure-related widespread genomic blocks of hypomethylation in nonmalignant skin. 
#' Genome Biol. 16.
#' @name skin.exposure
#' @usage data("skin.exposure")
#' @format A list with 6 arguments: beta.value, phenotype, causal.set, chrpos
NULL
